# `project-forge`: A Haskell library for forging new projects

The `project-forge` library is basically an extension of the
[`stache`](https://hackage.haskell.org/package/stache)
library with added features:

* ability to include variables in file and directory names
* utilities to get templates from a local directory
* utilities for creating project initialization CLI applications
* logging (via [`blammo`](https://hackage.haskell.org/package/Blammo))

## Features not yet implemented

* utilities to get templates from remote repositories
* ability to run pre/post scripts or `IO ()` actions

## Related Projects

* [`hinit`](https://hackage.haskell.org/package/hinit)
* [`project-template`](https://hackage.haskell.org/package/project-template)
* [`cookiecutter`](https://cookiecutter.readthedocs.io/en/stable/)
